Search results

MaskedTextBox

The MaskedTextBox allows the user to enter the valid input only based on the provided mask.

<input id="mask" type="text" />
<script>
var maskObj = new MaskedTextBox({ mask: "(999) 9999-999" });
maskObj.appendTo('#mask');
</script>

Properties

cssClass

string

Gets or sets the CSS classes to root element of the MaskedTextBox which helps to customize the complete UI styles for the MaskedTextBox component.

Defaults to null

customCharacters

{ [x: string]: Object }

Sets the collection of values to be mapped for non-mask elements(literals) which have been set in the mask of MaskedTextBox. In the below example, non-mask elements “P” accepts values “P” , “A” , “p” , “a” and “M” accepts values “M”, “m” mentioned in the custom characters collection.

For more information on customCharacters, refer to customCharacters.

<input id="mask" type="text" />
import { MaskedTextBox } from '@syncfusion/ej2-inputs';

let customChar = { P: 'P,A,p,a', M: 'M,m' };
let maskObj = new MaskedTextBox({ 
  mask: "99 : 99 PM", 
  customCharacters: customChar 
});
maskObj.appendTo('#mask');

Defaults to null

enablePersistence

boolean

Sets a value that enables or disables the persisting state of the MaskedTextBox after reloading the page. If enabled, the ‘value’ state will be persisted.

Defaults to false

enableRtl

boolean

Enable or disable rendering component in right to left direction.

Defaults to false

enabled

boolean

Sets a value that enables or disables the MaskedTextBox component.

Defaults to true

floatLabelType

FloatLabelType

The placeholder acts as a label and floats above the MaskedTextBox based on the below values. Possible values are:

  • Never - The floating label will not be enable when the placeholder is available.
  • Always - The floating label always floats above the MaskedTextBox.
  • Auto - The floating label floats above the MaskedTextBox after focusing it or when enters the value in it.

Defaults to Never

htmlAttributes

{ [key: string]: string }

You can add the additional html attributes such as disabled, value etc., to the element. If you configured both property and equivalent html attribute then the component considers the property value.

<input id="mask" type="text" />
import { MaskedTextBox } from '@syncfusion/ej2-inputs';

let mask: MaskedTextBox = new MaskedTextBox({
    mask: '000-000',
    value:'6000021',
    htmlAttributes: {name: "phonenumber", tabindex: "-1", readonly:"readonly" }
});
mask.appendTo('#mask');

Defaults to {}

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to

mask

string

Sets a value that masks the MaskedTextBox to allow/validate the user input.

<input id="mask" type="text" />
import { MaskedTextBox } from '@syncfusion/ej2-inputs';

let mask: MaskedTextBox = new MaskedTextBox({
  mask:"####.##"
});
mask.appendTo('#mask');

Defaults to null

placeholder

string

Gets or sets the string shown as a hint/placeholder when the MaskedTextBox is empty. It acts as a label and floats above the MaskedTextBox based on the floatLabelType.

Defaults to null

promptChar

string

Gets or sets a value that will be shown as a prompting symbol for the masked value. The symbol used to show input positions in the MaskedTextBox. For more information on prompt-character, refer to prompt-character.

Defaults to ’_’

readonly

boolean

Specifies the boolean value whether the Masked TextBox allows the user to change the text.

Defaults to false

showClearButton

boolean

Specifies whether to show or hide the clear icon.

Defaults to false

value

string

Gets or sets the value of the MaskedTextBox. It is a raw value of the MaskedTextBox excluding literals and prompt characters. By using getMaskedValue property, you can get the value of MaskedTextBox with the masked format.

<input id="mask" type="text" />
import { MaskedTextBox } from '@syncfusion/ej2-inputs';

let mask: MaskedTextBox = new MaskedTextBox({
  mask:"(999) 9999-999",
  value: "8674321756"
});
mask.appendTo('#mask');

Defaults to null

width

number | string

Sets the width of the MaskedTextBox.

Defaults to null

Methods

addEventListener

Adds the handler to the given event listener.

Parameter Type Description
eventName string A String that specifies the name of the event
handler Function Specifies the call to run when the event occurs.

Returns void

appendTo

Appends the control within the given HTML element

Parameter Type Description
selector (optional) string | HTMLElement Target element where control needs to be appended

Returns void

dataBind

When invoked, applies the pending property changes immediately to the component.

Returns void

destroy

Removes the component from the DOM and detaches all its related event handlers. Also it maintains the initial input element from the DOM.

Returns void

focusIn

Sets the focus to widget for interaction.

Returns void

focusOut

Remove the focus from widget, if the widget is in focus state.

Returns void

getLocalData

Returns the persistence data for component

Returns any

getMaskedValue

Gets the value of the MaskedTextBox with the masked format. By using value property, you can get the raw value of maskedtextbox without literals and prompt characters.

Returns string

getPersistData

Gets the properties to be maintained in the persisted state.

Returns string

getRootElement

Returns the route element of the component

Returns HTMLElement

refresh

Applies all the pending property changes and render the component again.

Returns void

removeEventListener

Removes the handler from the given event listener.

Parameter Type Description
eventName string A String that specifies the name of the event to remove
handler Function Specifies the function to remove

Returns void

Inject

Dynamically injects the required modules to the component.

Parameter Type Description
moduleList Function[] ?

Returns void

Events

blur

EmitType<MaskBlurEventArgs>

Triggers when the MaskedTextBox got focus out.

change

EmitType<MaskChangeEventArgs>

Triggers when the value of the MaskedTextBox changes.

created

EmitType<Object>

Triggers when the MaskedTextBox component is created.

destroyed

EmitType<Object>

Triggers when the MaskedTextBox component is destroyed.

focus

EmitType<MaskFocusEventArgs>

Triggers when the MaskedTextBox got focus in.

Search results

MaskedTextBoxComponent

Represents the EJ2 Angular MaskedTextbox Component.

<ej-maskedtextbox [value]='value'></ej-maskedtextbox>

Properties

cssClass

string

Gets or sets the CSS classes to root element of the MaskedTextBox which helps to customize the complete UI styles for the MaskedTextBox component.

Defaults to null

customCharacters

{ : }

Sets the collection of values to be mapped for non-mask elements(literals) which have been set in the mask of MaskedTextBox. In the below example, non-mask elements “P” accepts values “P” , “A” , “p” , “a” and “M” accepts values “M”, “m” mentioned in the custom characters collection.

For more information on customCharacters, refer to customCharacters.

<ejs-maskedtextbox [mask]="mask" [customCharacters]="customCharacters"></ejs-maskedtextbox>
import { Component, ViewEncapsulation } from '@angular/core';

@Component({
  selector: 'app-root',
  styleUrls: ['app.component.css'],
  templateUrl: 'app.component.html',
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  constructor() { }
  public mask = "99 : 99 PM";
  public customCharacters = { P: 'P,A,p,a', M: 'M,m' };
}

Defaults to null

enablePersistence

boolean

Sets a value that enables or disables the persisting state of the MaskedTextBox after reloading the page. If enabled, the ‘value’ state will be persisted.

Defaults to false

enableRtl

boolean

Enable or disable rendering component in right to left direction.

Defaults to false

enabled

boolean

Sets a value that enables or disables the MaskedTextBox component.

Defaults to true

floatLabelType

FloatLabelType

The placeholder acts as a label and floats above the MaskedTextBox based on the below values. Possible values are:

  • Never - The floating label will not be enable when the placeholder is available.
  • Always - The floating label always floats above the MaskedTextBox.
  • Auto - The floating label floats above the MaskedTextBox after focusing it or when enters the value in it.

Defaults to Never

htmlAttributes

{ : }

You can add the additional html attributes such as disabled, value etc., to the element. If you configured both property and equivalent html attribute then the component considers the property value.

<ejs-maskedtextbox [htmlAttributes]="htmlAttributes" [mask]="mask" [value]="value"></ejs-maskedtextbox>
import { Component, ViewEncapsulation } from '@angular/core';

@Component({
  selector: 'app-root',
  styleUrls: ['app.component.css'],
  templateUrl: 'app.component.html',
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  constructor() { }
  public htmlAttributes = { name: "phonenumber", tabindex: "-1", readonly:"readonly" };
  public mask = "000-000";
  public value = "6000021";
}

Defaults to {}

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to

mask

string

Sets a value that masks the MaskedTextBox to allow/validate the user input.

<ejs-maskedtextbox [mask]="mask"></ejs-maskedtextbox>
import { Component, ViewEncapsulation } from '@angular/core';

@Component({
  selector: 'app-root',
  styleUrls: ['app.component.css'],
  templateUrl: 'app.component.html',
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  constructor() { }
  public mask = "####.##";
}

Defaults to null

placeholder

string

Gets or sets the string shown as a hint/placeholder when the MaskedTextBox is empty. It acts as a label and floats above the MaskedTextBox based on the floatLabelType.

Defaults to null

promptChar

string

Gets or sets a value that will be shown as a prompting symbol for the masked value. The symbol used to show input positions in the MaskedTextBox. For more information on prompt-character, refer to prompt-character.

Defaults to ’_’

readonly

boolean

Specifies the boolean value whether the Masked TextBox allows the user to change the text.

Defaults to false

showClearButton

boolean

Specifies whether to show or hide the clear icon.

Defaults to false

value

string

Gets or sets the value of the MaskedTextBox. It is a raw value of the MaskedTextBox excluding literals and prompt characters. By using getMaskedValue property, you can get the value of MaskedTextBox with the masked format.

<ejs-maskedtextbox [mask]="mask" [value]="value" ></ejs-maskedtextbox>
import { Component, ViewEncapsulation } from '@angular/core';

@Component({
  selector: 'app-root',
  styleUrls: ['app.component.css'],
  templateUrl: 'app.component.html',
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  constructor() { }
  public mask = "(999) 9999-999";
  public value = "8674321756";
}

Defaults to null

width

number | string

Sets the width of the MaskedTextBox.

Defaults to null

Methods

destroy

Removes the component from the DOM and detaches all its related event handlers. Also it maintains the initial input element from the DOM.

Returns void

focusIn

Sets the focus to widget for interaction.

Returns void

focusOut

Remove the focus from widget, if the widget is in focus state.

Returns void

getMaskedValue

Gets the value of the MaskedTextBox with the masked format. By using value property, you can get the raw value of maskedtextbox without literals and prompt characters.

Returns string

getPersistData

Gets the properties to be maintained in the persisted state.

Returns string

Events

blur

EmitType<MaskBlurEventArgs>

Triggers when the MaskedTextBox got focus out.

change

EmitType<MaskChangeEventArgs>

Triggers when the value of the MaskedTextBox changes.

created

EmitType<Object>

Triggers when the MaskedTextBox component is created.

destroyed

EmitType<Object>

Triggers when the MaskedTextBox component is destroyed.

focus

EmitType<MaskFocusEventArgs>

Triggers when the MaskedTextBox got focus in.

Represents the React MaskedTextBox Component
<MaskedTextBox value={value}></MaskedTextBox>
string
Gets or sets the CSS classes to root element of the MaskedTextBox which helps to customize the complete UI styles for the MaskedTextBox component.
Defaults to null
Object
Sets the collection of values to be mapped for non-mask elements(literals) which have been set in the mask of MaskedTextBox. In the below example, non-mask elements “P” accepts values “P” , “A” , “p” , “a” and “M” accepts values “M”, “m” mentioned in the custom characters collection.
For more information on customCharacters, refer to customCharacters.
import './App.css';
import * as React from 'react';
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
class App extends React.Component {
public mask = "99 : 99 PM";
public customCharacters = { P: 'P,A,p,a', M: 'M,m' };
public render() {
return (<MaskedTextBoxComponent mask={this.mask} customCharacters = {this.customCharacters} />);
}
}
export default App;
Defaults to null
boolean
Sets a value that enables or disables the persisting state of the MaskedTextBox after reloading the page. If enabled, the ‘value’ state will be persisted.
Defaults to false
boolean
Enable or disable rendering component in right to left direction.
Defaults to false
boolean
Sets a value that enables or disables the MaskedTextBox component.
Defaults to true
string
The placeholder acts as a label and floats above the MaskedTextBox based on the below values. Possible values are:
Defaults to Never
Object
You can add the additional html attributes such as disabled, value etc., to the element. If you configured both property and equivalent html attribute then the component considers the property value.
import './App.css';
import * as React from 'react';
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
class App extends React.Component {
public htmlAttributes = { name: "phonenumber", tabindex: "-1", readonly:"readonly" };
public mask = "000000";
public value = "6000021";
public render() {
return (<MaskedTextBoxComponent htmlAttributes={this.htmlAttributes} mask={this.mask} value={this.value} />);
}
}
export default App;
Defaults to {}
string
Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.
Defaults to ”
string
Sets a value that masks the MaskedTextBox to allow/validate the user input.
standard mask elements
, custom characters
and
regular expression
as mask
elements.
For more information on mask, refer to
mask.If the mask value is empty, the MaskedTextBox will behave as an input element with text type.
import './App.css';
import * as React from 'react';
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
class App extends React.Component {
public mask = ”####.##”;
public render() {
return (
export default App;
Defaults to *null*
<h3 class="doc-prop-wrapper" id="placeholder" data-Path="placeholder-placeholder">
<a href="#placeholder" aria-hidden="true" class="anchor">
<svg aria-hidden="true" height="16" version="1.1" viewBox="0 0 16 16" width="16">
<path fill-rule="evenodd" d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4
3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8
4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64
1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z">
</path>
</svg>
</a><span class='doc-prop-name'>placeholder</span>
<span class="doc-prop-type"> `string`
</span>
</h3>
Gets or sets the string shown as a hint/placeholder when the MaskedTextBox is empty.
It acts as a label and floats above the MaskedTextBox based on the
<b><a href="#floatlabeltype" target="_blank">floatLabelType.</a></b>
Defaults to *null*
<h3 class="doc-prop-wrapper" id="promptchar" data-Path="promptchar-promptChar">
<a href="#promptchar" aria-hidden="true" class="anchor">
<svg aria-hidden="true" height="16" version="1.1" viewBox="0 0 16 16" width="16">
<path fill-rule="evenodd" d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4
3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8
4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64
1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z">
</path>
</svg>
</a><span class='doc-prop-name'>promptChar</span>
<span class="doc-prop-type"> `string`
</span>
</h3>
Gets or sets a value that will be shown as a prompting symbol for the masked value.
The symbol used to show input positions in the MaskedTextBox.
For more information on prompt-character, refer to
[prompt-character](../../maskedtextbox/mask-configuration/#prompt-character).
Defaults to *'_'*
<h3 class="doc-prop-wrapper" id="readonly" data-Path="readonly-readonly">
<a href="#readonly" aria-hidden="true" class="anchor">
<svg aria-hidden="true" height="16" version="1.1" viewBox="0 0 16 16" width="16">
<path fill-rule="evenodd" d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4
3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8
4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64
1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z">
</path>
</svg>
</a><span class='doc-prop-name'>readonly</span>
<span class="doc-prop-type"> `boolean`
</span>
</h3>
Specifies the boolean value whether the Masked TextBox allows the user to change the text.
Defaults to *false*
<h3 class="doc-prop-wrapper" id="showclearbutton" data-Path="showclearbutton-showClearButton">
<a href="#showclearbutton" aria-hidden="true" class="anchor">
<svg aria-hidden="true" height="16" version="1.1" viewBox="0 0 16 16" width="16">
<path fill-rule="evenodd" d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4
3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8
4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64
1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z">
</path>
</svg>
</a><span class='doc-prop-name'>showClearButton</span>
<span class="doc-prop-type"> `boolean`
</span>
</h3>
Specifies whether to show or hide the clear icon.
Defaults to *false*
<h3 class="doc-prop-wrapper" id="value" data-Path="value-value">
<a href="#value" aria-hidden="true" class="anchor">
<svg aria-hidden="true" height="16" version="1.1" viewBox="0 0 16 16" width="16">
<path fill-rule="evenodd" d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4
3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8
4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64
1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z">
</path>
</svg>
</a><span class='doc-prop-name'>value</span>
<span class="doc-prop-type"> `string`
</span>
</h3>
Gets or sets the value of the MaskedTextBox. It is a raw value of the MaskedTextBox excluding literals
and prompt characters. By using `getMaskedValue` property, you can get the value of MaskedTextBox with the masked format.
```tsx
import './App.css';
import * as React from 'react';
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
class App extends React.Component {
public mask = "(999) 9999-999";
public value = "8674321756";
public render() {
return (<MaskedTextBoxComponent mask={this.mask} value={this.value} />);
}
}
export default App;
Defaults to null
number
| string
Sets the width of the MaskedTextBox.
Defaults to null
Removes the component from the DOM and detaches all its related event handlers. Also it maintains the initial input element from the DOM.
Returns void
Sets the focus to widget for interaction.
Returns void
Remove the focus from widget, if the widget is in focus state.
Returns void
Gets the value of the MaskedTextBox with the masked format.
By using value
property, you can get the raw value of maskedtextbox without literals and prompt characters.
Returns string
Gets the properties to be maintained in the persisted state.
Returns string
Triggers when the MaskedTextBox got focus out.
Triggers when the value of the MaskedTextBox changes.
EmitType<Object>
Triggers when the MaskedTextBox component is created.
EmitType<Object>
Triggers when the MaskedTextBox component is destroyed.
Triggers when the MaskedTextBox got focus in.

Search results

MaskedTextBoxComponent

Represents the Essential JS 2 VueJS MaskedTextBox Component

<ejs-maskedtextbox v-bind:value='value'></ejs-maskedtextbox>

Properties

cssClass

string

Gets or sets the CSS classes to root element of the MaskedTextBox which helps to customize the complete UI styles for the MaskedTextBox component.

Defaults to null

customCharacters

{ : }

Sets the collection of values to be mapped for non-mask elements(literals) which have been set in the mask of MaskedTextBox. In the below example, non-mask elements “P” accepts values “P” , “A” , “p” , “a” and “M” accepts values “M”, “m” mentioned in the custom characters collection.

For more information on customCharacters, refer to customCharacters.

<template>
  <ejs-maskedtextbox :mask="mask" :customCharacters="customCharacters"></ejs-maskedtextbox>
</template>
<script>
import Vue from "vue";
import { MaskedTextBoxPlugin } from "@syncfusion/ej2-vue-inputs";

Vue.use(MaskedTextBoxPlugin);
export default {
  data() {
    return {
      mask: "99 : 99 PM",
      customCharacters: { P: 'P,A,p,a', M: 'M,m' }
    };
  }
};
</script>

Defaults to null

enablePersistence

boolean

Sets a value that enables or disables the persisting state of the MaskedTextBox after reloading the page. If enabled, the ‘value’ state will be persisted.

Defaults to false

enableRtl

boolean

Enable or disable rendering component in right to left direction.

Defaults to false

enabled

boolean

Sets a value that enables or disables the MaskedTextBox component.

Defaults to true

floatLabelType

FloatLabelType

The placeholder acts as a label and floats above the MaskedTextBox based on the below values. Possible values are:

  • Never - The floating label will not be enable when the placeholder is available.
  • Always - The floating label always floats above the MaskedTextBox.
  • Auto - The floating label floats above the MaskedTextBox after focusing it or when enters the value in it.

Defaults to Never

htmlAttributes

{ : }

You can add the additional html attributes such as disabled, value etc., to the element. If you configured both property and equivalent html attribute then the component considers the property value.

<template>
  <ejs-maskedtextbox :htmlAttributes="htmlAttributes" :mask="mask" :value="value"></ejs-maskedtextbox>
</template>
<script>
import Vue from "vue";
import { MaskedTextBoxPlugin } from "@syncfusion/ej2-vue-inputs";

Vue.use(MaskedTextBoxPlugin);
export default {
  data() {
    return {
      htmlAttributes: { name: "phonenumber", tabindex: "-1", readonly:"readonly" },
      mask: "000-000",
      value: "6000021"
    };
  }
};
</script>

Defaults to {}

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to

mask

string

Sets a value that masks the MaskedTextBox to allow/validate the user input.

<template>
  <ejs-maskedtextbox :mask="mask"></ejs-maskedtextbox>
</template>
<script>
import Vue from "vue";
import { MaskedTextBoxPlugin } from "@syncfusion/ej2-vue-inputs";

Vue.use(MaskedTextBoxPlugin);
export default {
  data() {
    return {
      mask: "####.##"
    };
  }
};
</script>

Defaults to null

placeholder

string

Gets or sets the string shown as a hint/placeholder when the MaskedTextBox is empty. It acts as a label and floats above the MaskedTextBox based on the floatLabelType.

Defaults to null

promptChar

string

Gets or sets a value that will be shown as a prompting symbol for the masked value. The symbol used to show input positions in the MaskedTextBox. For more information on prompt-character, refer to prompt-character.

Defaults to ’_’

readonly

boolean

Specifies the boolean value whether the Masked TextBox allows the user to change the text.

Defaults to false

showClearButton

boolean

Specifies whether to show or hide the clear icon.

Defaults to false

value

string

Gets or sets the value of the MaskedTextBox. It is a raw value of the MaskedTextBox excluding literals and prompt characters. By using getMaskedValue property, you can get the value of MaskedTextBox with the masked format.

<template>
  <ejs-maskedtextbox :mask="mask" :value="value"></ejs-maskedtextbox>
</template>
<script>
import Vue from "vue";
import { MaskedTextBoxPlugin } from "@syncfusion/ej2-vue-inputs";

Vue.use(MaskedTextBoxPlugin);
export default {
  data() {
    return {
      mask: "(999) 9999-999",
      value: "8674321756"
    };
  }
};
</script>

Defaults to null

width

number | string

Sets the width of the MaskedTextBox.

Defaults to null

Methods

destroy

Removes the component from the DOM and detaches all its related event handlers. Also it maintains the initial input element from the DOM.

Returns void

focusIn

Sets the focus to widget for interaction.

Returns void

focusOut

Remove the focus from widget, if the widget is in focus state.

Returns void

getMaskedValue

Gets the value of the MaskedTextBox with the masked format. By using value property, you can get the raw value of maskedtextbox without literals and prompt characters.

Returns string

getPersistData

Gets the properties to be maintained in the persisted state.

Returns string

Events

blur

EmitType<MaskBlurEventArgs>

Triggers when the MaskedTextBox got focus out.

change

EmitType<MaskChangeEventArgs>

Triggers when the value of the MaskedTextBox changes.

created

EmitType<Object>

Triggers when the MaskedTextBox component is created.

destroyed

EmitType<Object>

Triggers when the MaskedTextBox component is destroyed.

focus

EmitType<MaskFocusEventArgs>

Triggers when the MaskedTextBox got focus in.